Bug 1156553 - [rfe] use dnf instead of yum
Summary: [rfe] use dnf instead of yum
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cabal-rpm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1156491
TreeView+ depends on / blocked
 
Reported: 2014-10-24 16:21 UTC by Rahul Sundaram
Modified: 2015-07-13 19:08 UTC (History)
2 users (show)

Fixed In Version: cabal-rpm-0.9.6-1.fc21
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 02:00:48 UTC
Type: Bug


Attachments (Terms of Use)

Description Rahul Sundaram 2014-10-24 16:21:13 UTC
Description of problem:

Fedora 22 is planning to switch over to dnf from yum as per

https://fedoraproject.org/wiki/Changes/ReplaceYumWithDNF

Please switch from yum/yum-utils to dnf/dnf-plugins-core. Thanks!

Comment 1 Jens Petersen 2015-02-15 15:07:01 UTC
Thanks for the RFE.

I have committed changes in github so that dnf is used if available.
They should be in the next cabal-rpm release (which may be after Alpha).

https://github.com/juhp/cabal-rpm/commit/d23d083d595f9026d15a5ebcb7bb47a12d7d4136
https://github.com/juhp/cabal-rpm/commit/5b794be5996f45c95dc88c9fa1fa89de6b20ce68

Comment 2 Jens Petersen 2015-02-17 14:00:37 UTC
Released upstream in 0.9.4.

Comment 3 Jens Petersen 2015-02-19 02:00:48 UTC
Built for F22 and F23.  There will be an update later for F21.

Comment 4 Fedora Update System 2015-02-19 07:58:50 UTC
cabal-rpm-0.9.4-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cabal-rpm-0.9.4-1.fc21

Comment 5 Fedora Update System 2015-04-21 10:12:44 UTC
cabal-rpm-0.9.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cabal-rpm-0.9.5-1.fc22

Comment 6 Fedora Update System 2015-04-21 10:12:51 UTC
cabal-rpm-0.9.5-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cabal-rpm-0.9.5-1.fc21

Comment 7 Fedora Update System 2015-05-02 18:07:53 UTC
cabal-rpm-0.9.5-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-05-22 02:01:26 UTC
cabal-rpm-0.9.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cabal-rpm-0.9.6-1.fc22

Comment 9 Fedora Update System 2015-05-22 02:01:33 UTC
cabal-rpm-0.9.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cabal-rpm-0.9.6-1.fc21

Comment 10 Fedora Update System 2015-05-22 02:01:39 UTC
cabal-rpm-0.9.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cabal-rpm-0.9.6-1.fc20

Comment 11 Fedora Update System 2015-05-22 02:01:45 UTC
cabal-rpm-0.9.6-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/cabal-rpm-0.9.6-1.el7

Comment 12 Fedora Update System 2015-06-10 19:15:55 UTC
cabal-rpm-0.9.6-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-07-13 19:08:17 UTC
cabal-rpm-0.9.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.